<template>
  <div class="container-login">
    <div class="logo-container">
      <img src="https://img.freepik.com/premium-vector/javanese-hat-symbol-blangkon_757387-2379.jpg" class="logo-login" alt="Logo">
      <div class="text-wrapper">
        <h1><b><span class="cinema">CINEMA</span><span class="scope"> SCOPE</span></b></h1>
      </div>
    </div>

    <div class="card-login">
      <h2>Login</h2>
      <form @submit.prevent="login">
        <div class="form-group">
          <label for="email">Email:</label>
          <input id="email" v-model="email" type="email" required class="input" />
        </div>
        <div class="form-group">
          <label for="password">Password:</label>
          <input id="password" v-model="password" type="password" required class="input" />
        </div>
        <button type="submit" class="button">Login</button>
      </form>
    </div>

    <p v-if="error" class="error-message">{{ error }}</p>

    <div class="links">
      <router-link to="/register" class="router-link">Register</router-link>
      <router-link to="/" class="router-link">See as Guest</router-link>
    </div>
  </div>
</template>


<script>
import axios from 'axios';

export default {
  name: 'LoginNavbar',
  data() {
    return {
      email: '',
      password: '',
      error: '' // Untuk menyimpan pesan kesalahan
    };
  },
  methods: {
    async login() {
      try {
        const response = await axios.post('http://localhost:8000/api/auth/login', {
          email: this.email,
          password: this.password
        });
        window.localStorage.setItem('jwt-token', response.data.access_token);
        console.log('User logged in:', response.data);
        // Arahkan ke halaman dashboard jika login berhasil
        this.$router.push('/');
      } catch (error) {
        console.error(error);
        // Set pesan kesalahan
        this.error = 'Login failed. Please check your credentials.';
      }
    }
  }
};
</script>


<style scoped>
body {
  background: #030814;
  margin: 0;
  font-family: Arial, sans-serif;
}

.container-login {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  color: white;
  padding: 20px;
}

.logo-container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

.logo-login {
  height: 100px;
  margin-right: 20px;
  border-radius: 100%;
}

.text-wrapper {
  text-align: center;
}

.cinema {
  color: white;
}

.scope {
  color: yellow;
}

.card-login {
  background-color: #202938;
  padding: 20px;
  border-radius: 10px;
  width: 100%;
  max-width: 400px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.h2 {
  margin-top: 0;
  text-align: center;
}

.form-group {
  margin-bottom: 15px;
  width: 100%;
}

label {
  display: block;
  margin-bottom: 5px;
}

.input {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 5px;
  box-sizing: border-box;
}

.button {
  width: 100%;
  padding: 10px;
  background-color: yellow;
  border: none;
  border-radius: 5px;
  color: #030814;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s;
}

.button:hover {
  background-color: #111828;
}

.error-message {
  color: red;
  margin-top: 15px;
}

.links {
  margin-top: 20px;
  display: flex;
  justify-content: space-around;
  width: 100%;
  max-width: 400px;
}

.router-link {
  color: yellow;
  text-decoration: none;
}
</style>
